# source https://github.com/QNapi/qnapi/releases/download/0.2.3/qnapi-0.2.3.tar.gz

Name:		qnapi
Version:	0.2.3
Release:	%mkrel 1
Summary:        A NAPI-PROJEKT client
Summary(pl):    Klient NAPI-PROJEKT

License:	GPL
Group:		Video
URL:            http://qnapi.github.io
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:	libmediainfo-devel
Requires:	p7zip

%description
QNapi is unofficial clone of NAPI-PROJEKT program (http://napiprojekt.pl)
written using Qt5. It's focused to be functional on GNU/Linux and other
Unix-like systems, for which NAPI-PROJEKT is not available.

%description -l pl
QNapi jest nieoficjalnym klonem programu NAPI-PROJEKT (http://napiprojekt.pl)
napisanym w bibliotece Qt5 z myślą o użytkownikach Linuksa oraz innych
systemów, pod które oryginalny NAPI-PROJEKT nie jest dostępny.

%prep
%setup -qn %{name}-%{version}

%build
export QTDIR=%{_libdir}/qt5
export CFLAGS=-I%{_libdir}/qt5/include
export CXXFLAGS=${CFLAGS}
%qmake_qt5
%make_build

%install
%qmakeinstall_std
%__install -Dm644 doc/qnapi-download.desktop %{buildroot}%{_kf5_services}/ServiceMenus/qnapi-download.desktop
%__install -m644 doc/qnapi-scan.desktop %{buildroot}%{_kf5_services}/ServiceMenus/qnapi-scan.desktop
%__rm -rf %{buildroot}%{_docdir}/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/qnapi.desktop

%files
%defattr(-,root,root)
%doc README.md doc/{ChangeLog,COPYRIGHT,LICENSE,LICENSE-pl}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_kf5_services}/ServiceMenus
%{_kf5_services}/ServiceMenus/qnapi-*.desktop
%{_mandir}/*

%changelog
* Sun Jun 25 2017 marcin82 <marcin82 at vp.pl> 0.2.3-1pclos2017
- update

* Sun Aug 23 2015 bb <bb> 0.1.8-1pclos2015
- update
